Subject: Re: [PATCH] powerpc/sysdev: Fix a mpic section mismatch for MPC85xx

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 16 Dec 2013 11:10:53 +1100

On Sun, 2013-12-15 at 19:38 +0100, Christian Engelmayer wrote:
> Moved arch/powerpc/sysdev/mpic.c : smp_mpic_probe() out of the __init section.
> It is referenced by arch/powerpc/platforms/85xx/smp.c : smp_85xx_setup_cpu().

I don't like this. The reference is not actually going to call into the
code at all and as such is not an error, it's just a pointer comparison.

If there is no way to silence the warning, then I'd suggest to use a
global flag, something like mpc85xx_pic_type and test that instead
of comparing the pointers.

> Signed-off-by: Christian Engelmayer <[email-masked]>
> ---
>  arch/powerpc/sysdev/mpic.c | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
> 
> diff --git a/arch/powerpc/sysdev/mpic.c b/arch/powerpc/sysdev/mpic.c
> index 0e166ed..72c1e65 100644
> --- a/arch/powerpc/sysdev/mpic.c
> +++ b/arch/powerpc/sysdev/mpic.c
> @@ -1924,7 +1924,7 @@ void smp_mpic_message_pass(int cpu, int msg)
>  		       msg * MPIC_INFO(CPU_IPI_DISPATCH_STRIDE), physmask);
>  }
>  
> -int __init smp_mpic_probe(void)
> +int smp_mpic_probe(void)
>  {
>  	int nr_cpus;
>